import { Series } from "./Series";
import { NumericXAxis } from "./NumericXAxis";
import { NumericYAxis } from "./NumericYAxis";
import { IFastItemColumn$1 } from "igniteui-react-core/ES5/IFastItemColumn$1";
import { Color } from "igniteui-react-core/ES5/Color";
import { Type, Point } from "igniteui-react-core/ES5/type";
import { Rect } from "igniteui-react-core/ES5/Rect";
import { Axis } from "./Axis";
import { SeriesView } from "./SeriesView";
import { ProgressiveLoadStatusEventArgs } from "./ProgressiveLoadStatusEventArgs";
import { FastItemsSourceEventAction } from "igniteui-react-core/ES5/FastItemsSourceEventAction";
import { AxisRange } from "./AxisRange";
import { RenderSurface } from "./RenderSurface";
import { RenderingContext } from "igniteui-react-core/ES5/RenderingContext";
/**
 * @hidden
 */
export declare class HighDensityScatterSeries extends Series {
    static $t: Type;
    constructor();
    protected get_c4(): boolean;
    l0: NumericXAxis;
    l2: NumericYAxis;
    nw: string;
    protected l7: IFastItemColumn$1<number>;
    private l6;
    n0: string;
    protected l9: IFastItemColumn$1<number>;
    private l8;
    mg: boolean;
    mf: boolean;
    m8: number;
    m7: number;
    ot: Color;
    os: Color;
    nk: number;
    private oe;
    protected is(a: any, b: string, c: any, d: any): void;
    me(a: any): boolean;
    md(a: any): boolean;
    private n5;
    private ne;
    private ma;
    private mu;
    private mt;
    private ms;
    private mr;
    private mq;
    private mp;
    private mx;
    private mw;
    private mv;
    private ly;
    private l3;
    private l4;
    private lz;
    private l1;
    private mc;
    dv(a: Rect, b: Rect, c: SeriesView): boolean;
    private nf;
    nl: number;
    i7(a: boolean): void;
    private n7;
    private nh;
    private nb;
    private na;
    protected hs(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    private n4;
    private n9;
    private n8;
    progressiveLoadStatusChanged: (sender: any, e: ProgressiveLoadStatusEventArgs) => void;
    private n2;
    private n6;
    private mh;
    private og;
    private mn;
    private mm;
    private mo;
    private m0;
    private my;
    private mz;
    private m1;
    private m3;
    private m5;
    private m4;
    private m2;
    private mj;
    private mk;
    private ml;
    private mi;
    private ob;
    c8(a: any): boolean;
    private od;
    private ni;
    private nj;
    private m6;
    private oc;
    private oa;
    private nd;
    private nc;
    private lv;
    private ng;
    private n3;
    protected bf(): SeriesView;
    im(a: SeriesView): void;
    protected lx: HighDensityScatterSeriesView;
    an(a: Axis): AxisRange;
    private mb;
    protected jl(a: Rect, b: Rect): void;
    protected jm(a: Rect, b: Rect): void;
    private _itemIndexes;
    private lw;
    private lt;
    fm(a: Point): any;
    private nm;
    of(a: number[], b: number, c: number): void;
    protected get_dp(): boolean;
    protected set_dp(a: boolean): void;
    hp(a: boolean, b: SeriesView): void;
    i8(a: Rect, b: RenderSurface): void;
    private l5;
    i5(a: Rect, b: Rect, c: RenderSurface, d: string, e: number): void;
    hn(): void;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class HighDensityScatterSeriesView extends SeriesView {
    static $t: Type;
    constructor(a: HighDensityScatterSeries);
    ap(): void;
    b7(): void;
    protected bw: HighDensityScatterSeries;
    private bu;
    private b2;
    private b1;
    private bz;
    private b0;
    private bx;
    b3(): void;
    bv(): number[];
    b6(): void;
    b5(a: () => void): void;
    protected a3(a: RenderingContext, b: boolean): void;
    by(a: Color, b: Color): boolean;
    b4(): void;
    ai(a: any): void;
}
